/**
 ******************************************************************************
 *                    HOMEWORK: 15-200
 ******************************************************************************
 *                    The Poker Game
 ******************************************************************************
 *
 * This class represents a hand of five cards.
 *
 * Method <tt>evaluate()</tt> is provided for computing the value of the hand.
 *
 *
 * @author
 * @date
 * @see		Deck
 * @see		Card
 * @see		SuitSort
 * @see		ValueSort
 *****************************************************************************/

import java.util.*;

public class PokerHand
{
   final static int HIGH_CARD 	= 0;			// High Card
   final static int PAIR      	= 1;			// One Pair
   final static int TWO_PAIRS 	= 2;			// Two Pairs
   final static int THREE_KIND	= 3;			// Three of a Kind
   final static int STRAIGHT  	= 4;			// Straight
   final static int FLUSH     	= 5;			// Flush
   final static int FULL_HOUSE	= 6;			// Full House
   final static int FOUR_KIND 	= 7;			// Four of a Kind
   final static int S_FLUSH		= 8;			// Straight Flush


   private Card[] hand;
   /* You may add more private fields */

 /**
   *  Creates a hand of five cards.
   *
   */
   public PokerHand(Card[] hand)
   {
      this.hand = hand;
   }

 /**
   *  Sorts the hand by suit.
   *
   */
   @SuppressWarnings("unchecked")
public void sortBySuit()
   {
      Arrays.sort(hand, new SuitSort());
   }

 /**
   *  Sorts the hand by value.
   *
   */
   @SuppressWarnings("unchecked")
public void sortByValue()
   {
      Arrays.sort(hand, new ValueSort());
   }


 /**
   *  Returns a string representation of the hand.
   *
   */
   public String toString()
   {
      StringBuffer str = new StringBuffer();
      for(int i = 0; i < hand.length; i++)
      {
			str.append(hand[i]);
			str.append("\n");
      }

      return str.toString();
   }

 /**
   *  Returns a string representation of the hand's ranking.
   *
   */
	public static String valueToString(int number)
   {
      String result = "";
      switch (number)
      {
      	case HIGH_CARD:   result = "High Card";		break;
			case PAIR:     	result = "One Pair";			break;
			case TWO_PAIRS:   result = "Two Pairs";		break;
			case THREE_KIND:  result = "Three of a Kind";break;
			case STRAIGHT:    result = "Straight";   		break;
			case FLUSH:     	result = "Flush"; 			break;
			case FULL_HOUSE:  result = "Full House";		break;
			case FOUR_KIND:   result = "Four of a Kind";	break;
			case S_FLUSH:   	result = "Straight Flush";	break;
      }
      return result;
   }


 /**
   *  Evaluates the hand.
   *
   */
   public int evaluate()
   {

      // Implement this

      return 0;
   }

          /* You may add as many private methods as you need, */



}
